cgkrepair(8gx)

Name
cgkrepair — Repair broken Change Key and PCL properties

Synopsis
/usr/libexec/gromox/cgkrepair [-n] -e [user]@domain

Description
libexmdbpp is a component of grommunio-admin-api; libexmdbpp versions before 1.1.2 may have created folders with bogus Change Keys and PCLs. Gromox may refuse to perform certain operations on folders whose PCL it cannot make sense of. The cgkrepair utility may be used to rectify broken PCLs generated by libexmdbpp.

For a given store, cgkrepair looks at all folders whether they have reasonably-looking values for PR_CHANGE_KEY and PR_PREDECESSOR_CHANGE_LIST. It emits a line for every folder, along with status letters in square brackets to indicate individual tests that have failed. If any problem is found, a new change key is generated and the PCL reset.

Clients may resynchronize these folders as a result.

Options

-e [user]@domain
    Operate on the given private/user store or public/domain mailbox.

-n  Perform a dry run.